%define version 6.1
%define name gate


Version:	%{version}
Release:	2%{?dist}
Name:		%{name}
Summary:	Geant4 Application for Emission Tomography
License:	LGPL
Group:		Applications/Science
Url:		http://www.creatis.insa-lyon.fr/~dsarrut/delphine/
Source:		%{name}_v%{version}.tar.gz
NoSource:	0
#Patch0:		fgate_env.patch
#Patch1:		fgate_GateFastAnalysis_hh.patch
#Patch2:		gate_variables_gmk.patch
#Patch3:		gate_GateToLMF_cc.patch
#Patch4:		gate_GateCommon.gmk.patch
Patch5:		GateFastAnalysis_cc.patch
BuildRequires:	libXaw-devel
BuildRequires:	libXpm-devel
BuildRequires:	qt4-devel >= 4.5.0
BuildRequires:  libxml2-devel
BuildRequires:  geant4 >= 9.3
BuildRequires:	aida-devel
BuildRequires:  clhep >= 2.0.4.7
BuildRequires:  lmf >= 3.0
BuildRequires:  libecat7 >= 1.5
BuildRequires:	xerces-c-devel >= 2.7.0
BuildRequires:  root >= 5.28.0
BuildRequires:  root-core >= 5.28.0
BuildRequires:  root-cint >= 5.28.0
BuildRequires:  root-io >= 5.28.0
BuildRequires:  root-net >= 5.28.0
BuildRequires:  root-hist >= 5.28.0
BuildRequires:  root-graf >= 5.28.0
BuildRequires:  root-graf3d >= 5.28.0
BuildRequires:  root-graf-gpad >= 5.28.0
BuildRequires:  root-tree >= 5.28.0
BuildRequires:  root-core >= 5.28.0
BuildRequires:  root-graf-postscript >= 5.28.0
BuildRequires:  root-matrix >= 5.28.0
BuildRequires:  root-physics >= 5.28.0
BuildRequires:  root-mathcore >= 5.28.0
BuildRequires:  root-core >= 5.28.0
BuildRoot:	%{_tmppath}/%{name}-root

%description
GATE, the Geant4 Application for Emission Tomography has been developed since
2001 to offer the comprehensive physics modeling abilities of the general
purpose codes while making it possible to intuitively configurate an Emission
Tomography simulation. In particular, GATE allows the accurate description of
time-dependent phenomena such as source or detector movement and source decay
kinetics. It includes well-validated physics models, geometry modeling tools
accomodating complex scanner geometries, models for detector electronic
response, and efficient visualization utilities. Modelling of CT scans and
calculation of dose can also be performed using GATE.

%prep
%setup -q -n %{name}_v%{version}
#patch0
#patch1 -p1
#patch2 -p1
#patch3 -p1
#patch4
%patch5

%build
cat > %{name}.sh <<EOF
export GATEHOME=%{_datadir}/%{name}
EOF
sed 's/export \(\w*\)=\(.*\)/setenv \1 \2/' %{name}.sh > %{name}.csh
chmod +x %{name}.{c,}sh

export ROOTSYS=/usr
export G4VERSION=9.4
export G4WORKDIR=$(pwd)
export G4TMP=$G4WORKDIR/tmp
export G4BIN=$G4WORKDIR/bin
export GATE_USE_OPTICAL=1
export G4ANALYSIS_USE_FILE=1
export G4ANALYSIS_USE_GENERAL=1
export G4ANALYSIS_USE_ROOT=1 # should be set by default, but we make sure it is set
export G4ANALYSIS_USE_ROOT_PLOTTER=1
export LMF_HOME=/usr
export GATE_USE_LMF=1
export ECAT7_HOME=/usr
export GATE_USE_ECAT=1
export GATEHOME=$(pwd)

#%{__make} %{_smp_mflags} all
%{__make} all

# Fix examples
find benchmarks  examples -type f -exec sed -i -e 's|\(\.\./\)*GateMaterials.db|/usr/share/gate/GateMaterials.db|g' {} \;

%install
%__mkdir_p $RPM_BUILD_ROOT%{_bindir}
%__mkdir_p $RPM_BUILD_ROOT%{_libdir}
%__mkdir_p $RPM_BUILD_ROOT%{_datadir}/%{name}
%__mkdir_p $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
%__cp -f bin/$G4SYSTEM/Gate $RPM_BUILD_ROOT%{_bindir}/
%__cp -f tmp/$G4SYSTEM/Gate/libGate.* $RPM_BUILD_ROOT%{_libdir}
#__cp -f *.db *.xml *.mac $RPM_BUILD_ROOT%{_datadir}/%{name}/
%__cp -f *.db *.xml $RPM_BUILD_ROOT%{_datadir}/%{name}/
%__cp -f %{name}.{c,}sh $RPM_BUILD_ROOT%{_sysconfdir}/profile.d

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT/

%files
%defattr(-,root,root)
%doc examples benchmarks ReleaseNotes.pdf README
%_bindir/
%_libdir/
%_sysconfdir/
%_datadir/%{name}

%changelog
* Wed Apr 6 2011 Olivier Lahaye <olivier.lahaye1@free.fr> 6.1-2%{dist}
- Updated BuildRequires for new EPEL splitted root
- Rebuilt for EPEL splitted root

* Fri Mar 4 2011 Olivier Lahaye <olivier.lahaye1@free.fr> 6.1-1%{dist}
- New upstream release

* Tue Nov 3 2010 Olivier Lahaye <olivier.lahaye1@free.fr> 6.0_p01-4%{dist}
- Rebuilt for geant4-9.3.p02 / root-5.26.00e

* Wed Sep 8 2010 Olivier Lahaye <olivier.lahaye1@free.fr> 6.0_p01-3%{dist}
- Rebuilt for geant4-8.4.b01

* Wed Jul 21 2010 Olivier Lahaye <olivier.lahaye1@free.fr> 6.0_p01-2%{dist}
- Rebuilt for new clhep-2.0.4.7 and root-5.26.00.c

* Tue Apr 13 2010 Olivier Lahaye <olivier.lahaye1@free.fr> 6.0_p01-1%{dist}
- New upstream release

* Wed Mar 31 2010 Olivier Lahaye <olivier.lahaye1@free.fr> 6.0.0-1%{dist}
- New upstream release

* Fri Aug 07 2009 Olivier Lahaye <olivier.lahaye1@free.fr> 5.0.0-3%{dist}
- patch to FIX syntax in GateToLMF.cc and avoid missing symbols in lib.

* Thu Aug 06 2009 Olivier Lahaye <olivier.lahaye1@free.fr> 5.0.0-2%{dist}
- rebuild with LMF support

* Thu Aug 06 2009 Olivier Lahaye <olivier.lahaye1@free.fr> 5.0.0-1%{dist}
- initial release
